"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteTerm = exports.updateTerm = exports.addTerm = void 0;

var _ = require(".");

// import app components
const addTerm = async (_ref, dispatch, config) => {
  let {
    siteID,
    taxonomyID,
    id,
    title,
    slug,
    parentID,
    description
  } = _ref;
  let result = await (0, _.db)('createTerm', {
    siteID,
    taxonomyID,
    id,
    title,
    slug,
    parentID,
    description
  }, dispatch, config);
  return result;
};

exports.addTerm = addTerm;

const updateTerm = async (_ref2, dispatch, config) => {
  let {
    siteID,
    taxonomyID,
    id,
    title,
    slug,
    parentID,
    description
  } = _ref2;
  let result = await (0, _.db)('updateTerm', {
    siteID,
    taxonomyID,
    id,
    title,
    slug,
    parentID,
    description
  }, dispatch, config);
  return result;
};

exports.updateTerm = updateTerm;

const deleteTerm = async (_ref3, dispatch, config) => {
  let {
    siteID,
    taxonomyID,
    id
  } = _ref3;
  let result = await (0, _.db)('deleteTerm', {
    siteID,
    taxonomyID,
    id
  }, dispatch, config);
  return result;
};

exports.deleteTerm = deleteTerm;