"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _styledComponents = require("styled-components");

var _colors = _interopRequireDefault(require("./colors"));

var _templateObject, _templateObject2;

const styles = (0, _styledComponents.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  background: ", ";\n\n  * {\n    letter-spacing: normal;\n    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial,\n      'Noto Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol',\n      'Noto Color Emoji';\n  }\n\n  a {\n    text-decoration: none;\n  }\n\n  img {\n    margin: 0;\n  }\n\n  .ant-layout-header {\n    position: relative;\n    z-index: 1;\n    height: 50px;\n    background: #fff;\n    padding: 0;\n  }\n\n  .ant-page-header {\n    padding: 5px 0;\n  }\n\n  .ant-page-header-content {\n    padding-bottom: 12px;\n  }\n\n  .ant-layout {\n    background: transparent;\n  }\n\n  .ant-layout-content {\n    display: flex;\n  }\n\n  .ant-layout-footer {\n    background: transparent;\n  }\n\n  .ant-layout-sider {\n    box-shadow: 0 8px 15px rgba(29, 46, 83, 0.07);\n  }\n\n  .ant-card {\n    box-shadow: none;\n  }\n\n  .ant-card-bordered {\n    border: 1px solid rgb(216 225 239);\n  }\n\n  .ant-list-item {\n    padding: 10px 0;\n  }\n\n  .ant-list-item-meta-avatar {\n    display: flex;\n  }\n\n  .ant-space-vertical {\n    width: 100%;\n  }\n\n  .ant-select {\n    width: 100%;\n  }\n\n  .ant-page-header-heading-extra {\n    display: flex;\n    align-items: center;\n  }\n\n  .ant-tabs-tab + .ant-tabs-tab {\n    margin: 0 0 0 20px;\n  }\n\n  .ant-tabs-tab-btn {\n    font-size: 11px;\n    font-weight: 500;\n  }\n\n  .ant-menu-item,\n  .ant-menu-submenu-title {\n    padding-left: 32px !important;\n  }\n\n  .ant-menu-item .anticon,\n  .ant-menu-submenu-title .anticon {\n    svg {\n      width: 14px;\n      height: 14px;\n    }\n  }\n\n  .ant-collapse {\n    position: relative;\n    background-color: ", ";\n  }\n\n  .ant-collapse > .ant-collapse-item {\n    border: none;\n  }\n\n  .ant-collapse:last-child {\n    border-bottom: 1px solid #d9d9d9;\n  }\n\n  .ant-collapse-content > .ant-collapse-content-box {\n    padding: 4px;\n  }\n\n  .ant-collapse-arrow {\n    padding: 0 !important;\n    top: 50% !important;\n    transform: translateY(-50%);\n  }\n\n  .ant-scroll-number-only-unit {\n    font-size: 10px;\n  }\n"])), _colors.default.secondaryContrast, _colors.default.secondaryContrast);

var _default = (0, _styledComponents.createGlobalStyle)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n\n  body {\n    overflow-y: scroll;\n  }\n\n  .ant-modal-body {\n    background: ", ";\n    ", "\n  }\n\n  .ant-menu-item-group-title {\n    font-size: 10px;\n    text-transform: uppercase;\n    letter-spacing: 1px;\n    border-bottom: 1px solid rgba(255, 255, 255, 0.25);\n  }\n\n  .ant-popover {\n    max-width: 400px;\n\n    p {\n      margin-bottom: 10px;\n    }\n  }\n\n  .ant-menu-item-divider {\n    background-color: rgba(240, 240, 240, 0.2) !important;\n  }\n\n  .anticon svg {\n    display: flex;\n  }\n\n  .ant-btn > span {\n    display: inline-flex;\n  }\n  \n  .jam-cms {\n    ", "\n  }\n"])), _colors.default.secondaryContrast, styles, styles);

exports.default = _default;